Bug 10106 - SIGSEGV when inserting a link.
Summary: SIGSEGV when inserting a link.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: netscape (Show other bugs)
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-10 08:49 UTC by Stefan Rystedt
Modified: 2014-03-17 02:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-10 20:52:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (2.45 KB, text/plain)
2008-04-16 18:17 UTC, IBM Bug Proxy
no flags Details

Description Stefan Rystedt 2000-03-10 08:49:22 UTC
netscape-communicator-4.72-6
When inserting a link ither in the Composer or a mail it show the inserted
link and the crash Netscape. It does not under netscape 4.6
This is the backtrace when runing gdb on the
/usr/lib/netscape/netscape-communicator

(gdb) run
Starting program: /usr/lib/netscape/netscape-communicator

Program received signal SIGSEGV, Segmentation fault.
0x401259c0 in _XimLocalFilter () from /usr/X11R6/lib/libX11.so.6
(gdb) bt
#0  0x401259c0 in _XimLocalFilter () from /usr/X11R6/lib/libX11.so.6
#1  0x400fda49 in XFilterEvent () from /usr/X11R6/lib/libX11.so.6
#2  0x40033e75 in _XtDefaultDispatcher () from /usr/X11R6/lib/libXt.so.6
#3  0x40034173 in XtDispatchEvent () from /usr/X11R6/lib/libXt.so.6
#4  0x89119bc in _XmCachePart ()
#5  0x40027769 in XtCallCallbackList () from /usr/X11R6/lib/libXt.so.6
#6  0x4002e4f7 in Phase2Callbacks () from /usr/X11R6/lib/libXt.so.6
#7  0x4002e3f9 in Recursive () from /usr/X11R6/lib/libXt.so.6
#8  0x4002ea17 in XtPhase2Destroy () from /usr/X11R6/lib/libXt.so.6
#9  0x4002ecae in _XtDoPhase2Destroy () from /usr/X11R6/lib/libXt.so.6
#10 0x40034196 in XtDispatchEvent () from /usr/X11R6/lib/libXt.so.6
#11 0x82bd01f in fe_EventLoop ()
#12 0x82bf9d5 in main ()
#13 0x401d01eb in __libc_start_main (main=0x82be1b4 <main>, argc=1,
    argv=0xbffffbe4, init=0x827f0c0 <_init>, fini=0x89467fc <_fini>,
    rtld_fini=0x4000a610 <_dl_fini>, stack_end=0xbffffbdc)
    at ../sysdeps/generic/libc-start.c:90
(gdb)

Comment 1 Bill Nottingham 2000-03-10 20:52:59 UTC
This is fixed in the XFree86-libs currently in rawhide.

Comment 2 IBM Bug Proxy 2008-04-16 18:17:06 UTC
Created attachment 302649 [details]
patch


Note You need to log in before you can comment on or make changes to this bug.